Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class ImageConverterRendered2PNG

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter
          org.apache.xmlgraphics.image.loader.impl.ImageConverterRendered2PNG

All Implemented Interfaces:
  ImageConverter

    public class ImageConverterRendered2PNG

extends AbstractImageConverter

This ImageConverter converts Rendered to PNG images.

Field Summary

Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageConverter
`MEDIUM_CONVERSION_PENALTY, MINIMAL_CONVERSION_PENALTY, NO_CONVERSION_PENALTY`

Constructor Summary
`ImageConverterRendered2PNG()`

Method Summary
`Image` | `convert(Image src, Map hints)` Converts an image into a different representation.
`ImageFlavor` | `getSourceFlavor()` Returns the flavor that this converter expects.
`ImageFlavor` | `getTargetFlavor()` Returns the flavor that this converter converts images into.

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter
`checkSourceFlavor, getConversionPenalty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageConverterRendered2PNG

    public ImageConverterRendered2PNG()

Method Detail

### convert

    public Image convert(Image src,
                         Map hints)
                  throws ImageException,
                         IOException

  Converts an image into a different representation.

  Consumers can get the effective MIME type (if any) from the associated `ImageFlavor`.

  Parameters:
    `src` - the source image
    `hints` - the conversion hints
  Returns:
    the converted image
  Throws:
    `ImageException` - if an error occurs while converting the image
    `IOException` - if an I/O error occurs while converting the image

### getSourceFlavor

    public ImageFlavor getSourceFlavor()

  Returns the flavor that this converter expects.

  Returns:
    the source flavor

### getTargetFlavor

    public ImageFlavor getTargetFlavor()

  Returns the flavor that this converter converts images into.

  Returns:
    the target flavor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.